
Foreman - Bug #15090

scroll bars missing in organization selection dropdown

05/19/2016 06:25 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.11.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1336450 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3536

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1336450

Description of problem:

scroll bars missing in organization selection dropdown

Version-Release number of selected component (if applicable):

satellite-6.1-GA-Snap11

How reproducible:

Always

Steps to Reproduce:

1. Create hundreds of Orgs (QE CI boxes do this)

2. Look at the Organization content dropdown

Actual results:

Organization dropdown has no scroll bars

Expected results:

Organization dropdown should have scroll bars

Additional info:

This works fine in 6.1.9 z-stream build

Related issues:

Has duplicate Foreman - Bug #15109: Organizations (and Locations?) Contexts M... Duplicate 05/20/2016

Associated revisions

Revision e0859672 - 05/19/2016 10:26 AM - Tomer Brisker

Fixes #15090 - Add scrolling to taxonomy selection

Having more then ~30 locations or organizations will cause the dropdown

to overflow the view.

Revision 36d16d55 - 06/16/2016 02:13 PM - Tomer Brisker

Fixes #15090 - Add scrolling to taxonomy selection

Having more then ~30 locations or organizations will cause the dropdown

to overflow the view.

(cherry picked from commit e08596721437d9fb427a7a10ec7a545505937fe8)

History

#1 - 05/19/2016 06:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing
https://bugzilla.redhat.com/show_bug.cgi?id=1336450


- Pull request https://github.com/theforeman/foreman/pull/3536 added

#2 - 05/19/2016 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e08596721437d9fb427a7a10ec7a545505937fe8.

#3 - 05/20/2016 06:54 AM - Dominic Cleal

- Has duplicate Bug #15109: Organizations (and Locations?) Contexts Menue scrolls off screen & no scrollbar added

#4 - 05/20/2016 06:55 AM - Dominic Cleal

- translation missing: en.field_release set to 159
